
Redmine - Defect #2465

Spent time error

2009-01-08 01:22 - Maxim Krušina

Status: Closed Start date: 2009-01-08

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version:  

Description

There is problably a bug, when entering spent time:

2h -> it will enter 2 hours

1,5h (or 1.5h) -> it will enter 0 hours !!!

But form is saved without any errors, so user don't know that time wasn't added, it's really critical!

There should be some error message and form shouldnt be saved, when user enter some invalid value which results in 0 hours.

Related issues:

Related to Redmine - Defect #27881: No validation errors when entering an inv... Closed

Associated revisions

Revision 2251 - 2009-01-09 18:32 - Jean-Philippe Lang

Fixed: no error is raised when entering invalid hours on the issue update form (#2465).

History

#1 - 2009-01-08 01:26 - Maxim Krušina

Description above was tested when entereing time via "Update" link.

When adding time by "Log time" link, there is error message, but text is wrong:

input: 1,5h

error: « Hours » can't be blank

#2 - 2009-01-08 01:26 - Maxim Krušina

The question is what to do with this: 1,5h30m

#3 - 2009-01-09 18:31 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.1

- Resolution set to Fixed

Fixed in r2251. An error is now raised when entering invalid hours on the issue update screen.

Also, 1,5h is now allowed.

The question is what to do with this: 1,5h30m

 Nothing, it's invalid.

#4 - 2009-01-10 11:49 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Fix merged in 0.8-stable.

#5 - 2018-01-03 09:06 - Go MAEDA

- Related to Defect #27881: No validation errors when entering an invalid "Estimate hours" value added
